| Flutter iOS Embedder |

Instance Methods | Properties | List of all members
FlutterDelayingGestureRecognizer Class Reference

`#import <FlutterPlatformViews_Internal.h>`

Inheritance diagram for FlutterDelayingGestureRecognizer:

## Instance Methods
(instancetype) | - initWithTarget:action:forwardingRecognizer:

## Properties
BOOL | shouldEndInNextTouchesEnded
BOOL | touchedEndedWithoutBlocking
UIGestureRecognizer * | forwardingRecognizer

## Detailed Description

Definition at line 169 of file FlutterPlatformViews_Internal.h.

## Method Documentation

## ◆ initWithTarget:action:forwardingRecognizer:

- (instancetype) initWithTarget: |  | (id) | target
action: |  | (SEL) | action
forwardingRecognizer: |  | (UIGestureRecognizer*) | forwardingRecognizer

Definition at line 640 of file FlutterPlatformViews_Internal.mm.

640 :(id)target
641 action:(SEL)action
642 forwardingRecognizer:(UIGestureRecognizer*)forwardingRecognizer {
643 self = [super initWithTarget:target action:action];
644 if (self) {
645 self.delaysTouchesBegan = YES;
646 self.delaysTouchesEnded = YES;
647 self.delegate = self;
648 _shouldEndInNextTouchesEnded = NO;
649 _touchedEndedWithoutBlocking = NO;
650 _forwardingRecognizer = forwardingRecognizer;
651 }
652 return self;
653 }

References forwardingRecognizer.

## Property Documentation

## ◆ forwardingRecognizer

- (UIGestureRecognizer*) forwardingRecognizer
| readnonatomicassign

Definition at line 179 of file FlutterPlatformViews_Internal.h.

Referenced by initWithTarget:action:forwardingRecognizer:.

## ◆ shouldEndInNextTouchesEnded

- (BOOL) shouldEndInNextTouchesEnded
| readwritenonatomicassign

Definition at line 173 of file FlutterPlatformViews_Internal.h.

## ◆ touchedEndedWithoutBlocking

- (BOOL) touchedEndedWithoutBlocking
| readwritenonatomicassign

Definition at line 177 of file FlutterPlatformViews_Internal.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.h
- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.mm

FlutterDelayingGestureRecognizer::forwardingRecognizer
UIGestureRecognizer * forwardingRecognizer
Definition: FlutterPlatformViews_Internal.h:179